import JavaChat.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;
import java.util.Date;

public class ChatClient
{
	public static void main(String args[])
	{
		System.setErr(System.out);
		try
		{
			// create and initialize the ORB
			ORB orb = ORB.init(args, null);

			// get the root naming context
			org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
			NamingContext ncRef = NamingContextHelper.narrow(objRef);

			// resolve the Object Reference in Naming
			NameComponent nc = new NameComponent("Chat", "");
			NameComponent path[] = {nc};
			Chat chatRef = ChatHelper.narrow(ncRef.resolve(path));
 
			ChatCallbackImpl chatCallbackRef = new ChatCallbackImpl();
 			orb.connect(chatCallbackRef);
 
 			long client_id = new Date().getTime();
 			chatRef.registClient(chatCallbackRef, client_id);
	 		new ChatClientWindow(chatRef, chatCallbackRef, client_id);
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
}