import JavaChat.*;
import java.awt.BorderLayout;
import java.awt.event.*;
import javax.swing.*;

public class ChatClientWindow extends JFrame implements CallbackCalledListener
{
	Chat chatRef;
	long client_id;
	JTextField text;
	JTextArea text_area;
	String line_separator = System.getProperty("line.separator");

	public ChatClientWindow(Chat chatRef, ChatCallbackImpl chatCallbackRef, long client_id)
	{
		chatCallbackRef.addCallbackCalledListener(this);

		this.chatRef = chatRef;
		this.client_id = client_id;

		setTitle("Chat Client");
		setSize(300, 400);

		WindowListener w_listener = new WindowAdapter()
		{
			public void windowClosing(WindowEvent we)
			{
				ChatClientWindow.this.chatRef.removeClient(ChatClientWindow.this.client_id);
				System.exit(0);
			}
		};
		addWindowListener(w_listener);

		text = new JTextField();
		getContentPane().add(text, BorderLayout.NORTH);

		text_area = new JTextArea();
		getContentPane().add(text_area, BorderLayout.CENTER);

		JButton button = new JButton("Send Message");
		ActionListener listener_button = new ActionListener()
		{
			public void actionPerformed(ActionEvent ae)
			{
				ChatClientWindow.this.chatRef.sendMessage(ChatClientWindow.this.text.getText().getBytes());
			}
		};
		button.addActionListener(listener_button);

		getContentPane().add(button, BorderLayout.SOUTH);

		show();
	}

	public void callBacked(CallbackCalledEvent cce)
	{
		text_area.append(cce.getString() + line_separator);
	}
}